/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EmpresaImposto;
import com.rjconsultores.ventaboletos.entidad.PtovtaComissao;

/**
 * 
 * @author Bruno H. G. Gouvêa <bruno@rjconsultores.com.br>
 * 
 */
public class RenderPtovtaComissao implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		PtovtaComissao ptovtaComissao = (PtovtaComissao) o;

		Listcell lc = new Listcell(ptovtaComissao.getEmpresaId().getNombempresa());
		lc.setParent(lstm);

		lstm.setAttribute("data", ptovtaComissao);
	}
}
